跳至內容

Ideogram · Custom Models

整合

模型 id ideogram/custom-models
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ideogram/custom-models?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $40.00 40,000 API 點數 在此頁面執行

取得 API 金鑰
Ideogram 訓練 #stylized#transform

從包含 10-100 張影像的 ZIP 訓練自訂 Ideogram 模型

Ideogram · 檔案

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填

透過 ZIP URL 提供訓練資料,其中包含 10 到 100 張 JPEG、PNG 或 WebP 圖像。若要使用說明文字引導訓練,可選擇加入 ``<stem>.txt`` 伴隨檔案;系統會使用每個圖像與說明文字共用的檔名 `<stem>` 進行配對。

POST /run/ideogram/custom-models?wait=20 報價 → $40.00
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ideogram/custom-models?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Ideogram · Custom Models

訓練端點接受 `images_data_url`,其內容為包含 10 到 100 張 JPEG、PNG 或 WebP 影像的 ZIP 封存檔。可選擇加入名為 `<stem>.txt` 的說明檔來引導訓練。回傳 `model_id` 和供 generate 端點使用的自訂模型 URI。

參數

名稱類型 預設值允許值 說明
images_data_url必填
類型string
透過 ZIP URL 提供訓練資料,其中包含 10 到 100 張 JPEG、PNG 或 WebP 圖像。若要使用說明文字引導訓練,可選擇加入 ``<stem>.txt`` 伴隨檔案;系統會使用每個圖像與說明文字共用的檔名 `<stem>` 進行配對。
必填

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ideogram/custom-models",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40000,
    "usd": "40.00",
    "charged": 40000,
    "refunded": 0
  },
  "input": {
    "images_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "model_id": "string",
    "custom_model_uri": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
model_id
string要提供給 /generate 的 Ideogram 模型識別碼。
custom_model_uri
string公開的生成路由中,透過 `custom_model_uri` 直接呼叫 Ideogram v3 時使用的訓練模型 URI。使用 `/generate` 的呼叫端則會根據 `model_id` 自動解析 URI。

更多模型:訓練

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/ideogram/custom-models.md. 所有模型與指南: https://doitong.com/developers/llms.txt